| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# Gaudi::Utils::Histos::Formats Namespace Reference

## Detailed Description

The 15 format fields are predefined now:.

- 1 : the histogram path in transient store (without '/stat/')
- 2 : the histogram title
- 3 : number of ALL entries
- 4 : number of UNDERFLOW entries
- 5 : number of OVERFLOW entries
- 6 : the statistics of equivalent entries
- 7 : the ful integral in range
- 8 : mean value
- 9 : the estimated uncertainty in the mean value
- 10 : rms value
- 11 : the estimated uncertainty in the rms value
- 12 : skewness value
- 13 : the estimated uncertainty in the skewness value
- 14 : kurtosis value
- 15 : the estimated uncertainty in the kurtosis value

Simple collection of predefiend formats for the histogram

Author:
  Vanya BELYAEV ibelyaev@physics.syed.edu

Date:
  2007-08-07

## Enumerations
enum | Format { Default = 0, Old, Full, Stat, StatOnly, LineTitle, LineOnly, PathTitle }
| the ID for predefined formats More...
## Functions
std::string | format (const int ID=Default)
| get the format by enum
std::string | header (const int ID=Default)
| get the recommended header by enum
std::string | format (const int ID)
| get the format by enum
std::string | header (const int ID)
| get the recommended header by enum

## Enumeration Type Documentation

enum Gaudi::Utils::Histos::Formats::Format

the ID for predefined formats

Enumerator:

  Default |
  Old |
  Full |
  Stat |
  StatOnly |
  LineTitle |
  LineOnly |
  PathTitle |

Definition at line 55 of file HistoTableFormat.h.

    00056           {
    00057             Default = 0 , // default format
    00058             Old         , // "OLD"-line format: title,integral,#ent,mean,rms
    00059             Full        , // FULL format: all available 15 positions
    00060             Stat        , // title,#ent,mean,rms,skewness&kurtosis
    00061             StatOnly    , // #entries,mean,rms,skewness&kurtosis
    00062             LineTitle   , // line-format : title,mean,rms,skewness&kurtosis
    00063             LineOnly    , // line-format : mean,rms,skewness&kurtosis
    00064             PathTitle     // "PathTitle" : path & title
    00065           } ;

## Function Documentation

std::string Gaudi::Utils::Histos::Formats::format | ( | const int | ID = `Default` | ) |

get the format by enum

See also:
  Gaudi::Utils::Histos::Formats::Format

Parameters:

  | ID | the format idenfifier

Returns:
  format associated with ID

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-08-08

default:

Definition at line 98 of file HistoTableFormat.cpp.

References Full, LineOnly, LineTitle, Old, PathTitle, s_histoFormatFull, s_histoFormatLineOnly, s_histoFormatLineTitle, s_histoFormatOld, s_histoFormatPathTitle, s_histoFormatStat, s_histoFormatStatOnly, and StatOnly.

    00099 {
    00100   switch ( ID )
    00101   {
    00102   case Old       : return s_histoFormatOld       ;
    00103   case Full      : return s_histoFormatFull      ;
    00104   case Stat      : return s_histoFormatStat      ;
    00105   case StatOnly  : return s_histoFormatStatOnly  ;
    00106   case LineTitle : return s_histoFormatLineTitle ;
    00107   case LineOnly  : return s_histoFormatLineOnly  ;
    00108   case PathTitle : return s_histoFormatPathTitle ;
    00109   default        : ;
    00110   }
    00112   return s_histoFormatStat ;
    00113 }

std::string Gaudi::Utils::Histos::Formats::format | ( | const int | ID = `Default` | ) |

get the format by enum

See also:
  Gaudi::Utils::Histos::Formats::Format

Parameters:

  | ID | the format idenfifier

Returns:
  format associated with ID

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-08-08

default:

Definition at line 98 of file HistoTableFormat.cpp.

Referenced by GaudiHistos< PBASE >::initGaudiHistosConstructor().

    00099 {
    00100   switch ( ID )
    00101   {
    00102   case Old       : return s_histoFormatOld       ;
    00103   case Full      : return s_histoFormatFull      ;
    00104   case Stat      : return s_histoFormatStat      ;
    00105   case StatOnly  : return s_histoFormatStatOnly  ;
    00106   case LineTitle : return s_histoFormatLineTitle ;
    00107   case LineOnly  : return s_histoFormatLineOnly  ;
    00108   case PathTitle : return s_histoFormatPathTitle ;
    00109   default        : ;
    00110   }
    00112   return s_histoFormatStat ;
    00113 }

std::string Gaudi::Utils::Histos::Formats::header | ( | const int | ID = `Default` | ) |

get the recommended header by enum

See also:
  Gaudi::Utils::Histos::Formats::Format

Parameters:

  | ID | the format idenfifier

Returns:
  header associated with ID

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-08-08

default:

Definition at line 117 of file HistoTableFormat.cpp.

References Full, LineOnly, LineTitle, Old, PathTitle, s_histoFormatFullHeader, s_histoFormatLineOnlyHeader, s_histoFormatLineTitleHeader, s_histoFormatOldHeader, s_histoFormatPathTitleHeader, s_histoFormatStatHeader, s_histoFormatStatOnlyHeader, and StatOnly.

Referenced by GaudiHistos< PBASE >::initGaudiHistosConstructor(), and ApMon::sendTimedParameters().

    00118 {
    00119   switch ( ID )
    00120   {
    00121   case Old       : return s_histoFormatOldHeader       ;
    00122   case Full      : return s_histoFormatFullHeader      ;
    00123   case Stat      : return s_histoFormatStatHeader      ;
    00124   case StatOnly  : return s_histoFormatStatOnlyHeader  ;
    00125   case LineTitle : return s_histoFormatLineTitleHeader ;
    00126   case LineOnly  : return s_histoFormatLineOnlyHeader  ;
    00127   case PathTitle : return s_histoFormatPathTitleHeader ;
    00128   default        : ;
    00129   }
    00131   return s_histoFormatStatHeader ;
    00132 }

std::string Gaudi::Utils::Histos::Formats::header | ( | const int | ID = `Default` | ) |

get the recommended header by enum

See also:
  Gaudi::Utils::Histos::Formats::Format

Parameters:

  | ID | the format idenfifier

Returns:
  header associated with ID

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-08-08

default:

Definition at line 117 of file HistoTableFormat.cpp.

References Full, LineOnly, LineTitle, Old, PathTitle, s_histoFormatFullHeader, s_histoFormatLineOnlyHeader, s_histoFormatLineTitleHeader, s_histoFormatOldHeader, s_histoFormatPathTitleHeader, s_histoFormatStatHeader, s_histoFormatStatOnlyHeader, and StatOnly.

Referenced by GaudiHistos< PBASE >::initGaudiHistosConstructor(), and ApMon::sendTimedParameters().

    00118 {
    00119   switch ( ID )
    00120   {
    00121   case Old       : return s_histoFormatOldHeader       ;
    00122   case Full      : return s_histoFormatFullHeader      ;
    00123   case Stat      : return s_histoFormatStatHeader      ;
    00124   case StatOnly  : return s_histoFormatStatOnlyHeader  ;
    00125   case LineTitle : return s_histoFormatLineTitleHeader ;
    00126   case LineOnly  : return s_histoFormatLineOnlyHeader  ;
    00127   case PathTitle : return s_histoFormatPathTitleHeader ;
    00128   default        : ;
    00129   }
    00131   return s_histoFormatStatHeader ;
    00132 }